Skip to content
Start here

List sessions.

GET/accounts/{account_id}/browser-rendering/devtools/session

List active browser sessions.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
Path ParametersExpand Collapse
account_id: string

Account ID.

Query ParametersExpand Collapse
limit: optional number
maximum200
minimum1
offset: optional number
minimum0
ReturnsExpand Collapse
sessionId: string

Session ID.

formatuuid
closeReason: optional string

Reason for session closure.

closeReasonText: optional string

Human-readable close reason.

connectionEndTime: optional number

Connection end time.

connectionId: optional string

Connection ID.

connectionStartTime: optional number

Connection start time.

devtoolsFrontendUrl: optional string

DevTools frontend URL.

endTime: optional number

Session end time.

lastUpdated: optional number

Last updated timestamp.

startTime: optional number

Session start time.

webSocketDebuggerUrl: optional string

WebSocket URL for debugging this target.

List sessions.

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/browser-rendering/devtools/session \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
[
  {
    "sessionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "closeReason": "closeReason",
    "closeReasonText": "closeReasonText",
    "connectionEndTime": 0,
    "connectionId": "connectionId",
    "connectionStartTime": 0,
    "devtoolsFrontendUrl": "devtoolsFrontendUrl",
    "endTime": 0,
    "lastUpdated": 0,
    "startTime": 0,
    "webSocketDebuggerUrl": "webSocketDebuggerUrl"
  }
]
Returns Examples
[
  {
    "sessionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "closeReason": "closeReason",
    "closeReasonText": "closeReasonText",
    "connectionEndTime": 0,
    "connectionId": "connectionId",
    "connectionStartTime": 0,
    "devtoolsFrontendUrl": "devtoolsFrontendUrl",
    "endTime": 0,
    "lastUpdated": 0,
    "startTime": 0,
    "webSocketDebuggerUrl": "webSocketDebuggerUrl"
  }
]